GEMREC(1)

# NAME

gemrec - a gemlog powered by recutils

# SYNOPSIS

gemrec [options]

# DESCRIPTION

gemrec
is a wrapper for GNU recutils
that turns a recfile database full of posts
into a gemlog.

Features include:

- All posts and metadata centrally located
  in a single rec database
- Gemlog posts, each with a metadata block and tags
- A gemsub compatible index of posts
- A page for each tag,
  linking back to each tagged page,
  and an index of tags
- An atom feed

# OPTIONS

## gemrec build|b
Buid all: feed, gemlog (and index), and tags (and index)

## gemrec b|build f|feed
Build feed

## gemrec b|build g|gemlog
Build gemlog pages that are older than the record's _updated_ value. And the index.

## gemrec b|build t|tag|tags
Build tag pages, and the index.

## gemrec e|edit
Edit an existing post.
The post will be opened in $EDITOR.
First the editable metadata.
(Title, flags, tags.)
And then in a second editor instance,
the post body.

## gemrec n|new
Create a new post

## gemrec s|static
Copy static files
(images, static pages, etc)
from _/static_ 
to the build dir.

## gemrec u|up|upload
Upload to a remote server.

# SEE ALSO

_gemrec(5)_ _recsel_(1) _recset_(1)

# AUTHORS

dozens <dozens@tilde.team>
